with Interfaces.C;          use Interfaces.C;
with Interfaces.C.Strings;  use Interfaces.C.Strings;
with Interfaces.C.Pointers;
with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package body Command_Line_Arguments is

   function Get_Argument(
      Argv   : Argument_Vector_Type;
      Index  : Argument_Count_Type)
   return String is
      Arguments : Argument_Array(1 .. Index);
   begin
      Arguments := Argument_Vector_Package.Value (ArgV, Index);

      return To_String (To_Unbounded_String (Value(Arguments (Index))));
   end Get_Argument;

end Command_Line_Arguments;
