--
--  Blow the stack
--
--  $Id: stack_check.adb,v 1.3 2009/09/17 18:13:38 joel Exp $
--

with Text_IO; use Text_IO;

procedure stack_check is

   type UselessArrayType is array (1 .. 512) of Natural;
   UselessArray : UselessArrayType;

   procedure BlowMe (
      N  : in      Natural;
      U  : in  out UselessArrayType
   ) is
     MyUselessArray : UselessArrayType;
   begin
      Text_IO.Put_Line ( "Call depth = " & Natural'Image(N) );
      U(5) := N;
      U(6) := N+1;
      BlowMe (N + 1, MyUselessArray);
      U(5) := MyUselessArray(10);
   end BlowMe;

begin
   Put_Line ("*** GNAT/RTEMS Stack Checker Test ***");
   BlowMe (1, UselessArray);
end stack_check;

